## org.apache.lucene.analysis.core
Class TypeTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.util.FilteringTokenFilter
                      org.apache.lucene.analysis.core.TypeTokenFilter

All Implemented Interfaces:
  Closeable

    public final class TypeTokenFilter

extends FilteringTokenFilter

Removes tokens whose types appear in a set of blocked types from a token stream.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.FilteringTokenFilter
`version`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`TypeTokenFilter(Version version, boolean enablePositionIncrements, TokenStream input, Set<String> stopTypes)` Deprecated. enablePositionIncrements=false is not supported anymore as of Lucene 4.4.
`TypeTokenFilter(Version version, boolean enablePositionIncrements, TokenStream input, Set<String> stopTypes, boolean useWhiteList)` Deprecated. enablePositionIncrements=false is not supported anymore as of Lucene 4.4.
`TypeTokenFilter(Version version, TokenStream input, Set<String> stopTypes)` Create a new `TypeTokenFilter` that filters tokens out (useWhiteList=false).
`TypeTokenFilter(Version version, TokenStream input, Set<String> stopTypes, boolean useWhiteList)` Create a new `TypeTokenFilter`.

Method Summary
`protected boolean` `accept()` By default accept the token if its type is not a stop type.

Methods inherited from class org.apache.lucene.analysis.util.FilteringTokenFilter
`getEnablePositionIncrements, incrementToken, reset, setEnablePositionIncrements`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeTokenFilter

    @Deprecated
    public TypeTokenFilter(Version version,
                                      boolean enablePositionIncrements,
                                      TokenStream input,
                                      Set<String> stopTypes,
                                      boolean useWhiteList)

  Deprecated. enablePositionIncrements=false is not supported anymore as of Lucene 4.4.

### TypeTokenFilter

    @Deprecated
    public TypeTokenFilter(Version version,
                                      boolean enablePositionIncrements,
                                      TokenStream input,
                                      Set<String> stopTypes)

  Deprecated. enablePositionIncrements=false is not supported anymore as of Lucene 4.4.

### TypeTokenFilter

    public TypeTokenFilter(Version version,
                           TokenStream input,
                           Set<String> stopTypes,
                           boolean useWhiteList)

  Create a new `TypeTokenFilter`.

  Parameters:
    `version` - the Lucene match version
    `input` - the `TokenStream` to consume
    `stopTypes` - the types to filter
    `useWhiteList` - if true, then tokens whose type is in stopTypes will be kept, otherwise they will be filtered out

### TypeTokenFilter

    public TypeTokenFilter(Version version,
                           TokenStream input,
                           Set<String> stopTypes)

  Create a new `TypeTokenFilter` that filters tokens out (useWhiteList=false).

  See Also:
    `TypeTokenFilter(Version, TokenStream, Set, boolean)`

Method Detail

### accept

    protected boolean accept()

  By default accept the token if its type is not a stop type. When the useWhiteList parameter is set to true then accept the token if its type is contained in the stopTypes

  Specified by:
    `accept` in class `FilteringTokenFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.